#include <allegro.h>
#include "bola.h"


volatile bool ativado = false;

void ativar()
{
   ativado = true;
}
END_OF_FUNCTION(ativar);

LOCK_VARIABLE(ativado);
LOCK_FUNCTION(ativar);

int main() 
{ 
  BITMAP *desenhobola, *buffer, *cenario, *paleta ;

  Bola *bola = new Bola();
 // Initialize Allegro.        
 allegro_init();
 install_int(ativar, 150);
     

 // Set the resolution to 640 by 480 with SAFE autodetection.
 set_color_depth(32);
 set_gfx_mode(GFX_AUTODETECT_FULLSCREEN,800, 600, 0, 0);
  
 desenhobola = load_bitmap("maracatu masked 80.bmp", NULL);
 cenario = load_bitmap("menu3.bmp", NULL);
 //paleta = load_bitmap("menu3.bmp",NULL);
 buffer = create_bitmap(800, 600);
 
 
 // Installing the keyboard handler.
 install_keyboard();
 
 install_timer();


 // Looping until the ESCape key is pressed.
 
 while(!key[KEY_ESC])
 {
   if(ativado)
   {
      //if(key[KEY_LEFT] & bola->getX() > 0)
        // { 
              // bola->setX(bola->getX() - 5);
        // }
      //if(key[KEY_RIGHT] & bola->getX() < 600)
        // {   
         //      bola->setX(bola->getX() + 5);
         //}
      if(key[KEY_UP])
         {
               if(bola->getY()>20)
               bola->setY(bola->getY() - 70);
         }
      if(key[KEY_DOWN])
         {
               if(bola->getY()<230)        
               bola->setY(bola->getY() + 70);
         }
      if(bola->getY()==90){
            bola->setX(250);
      } else if(bola->getY()==160){
            bola->setX(260);
      }else if(bola->getY()==230){
            bola->setX(290);
      } else bola->setX(280);
      
         
      bola->atualizar();
      
      ativado = false;
    }
   
   
   blit(cenario, buffer,0, 0,0,0,800,600);
   masked_blit(desenhobola, buffer, 0, 0, bola->getX(), bola->getY(), 80, 100);
   //masked_blit(paleta, buffer, 0, 0, bola->getX() + 20, bola->getY(), 200, 41);
   blit(buffer, screen, 0, 0, 0, 0, 800,600);
 
   
 }

 // Exit program.
 destroy_bitmap(buffer);
 destroy_bitmap(paleta);
 destroy_bitmap(cenario);
 destroy_bitmap(desenhobola);
 allegro_exit();
 return 0;     
}     

// Some Allegro magic to deal with WinMain().
END_OF_MAIN();
